Page MenuHomePhabricator

Spicerack module for Netbox
Open, Needs TriagePublic

Description

  • Make a netbox module which exposes an interface to get a particular host object
  • Make a debian package for pynetbox
  • Allow this object to set the status of the host to support commissioning and decommissioning

There are some additional minor changes pending.

Event Timeline

crusnov created this task.Feb 25 2019, 6:40 PM

Change 493138 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/spicerack@master] Netbox module for Spicerack

https://gerrit.wikimedia.org/r/493138

crusnov updated the task description. (Show Details)Mar 4 2019, 6:24 PM
crusnov moved this task from Backlog to In Progress on the User-crusnov board.Mar 14 2019, 8:36 PM
crusnov moved this task from Backlog to In Progress on the SRE-tools board.Mar 19 2019, 6:12 PM

Change 493138 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/spicerack@master] Netbox module for Spicerack

https://gerrit.wikimedia.org/r/493138

crusnov moved this task from In Progress to In Code Review on the SRE-tools board.Mar 27 2019, 6:24 PM

Mentioned in SAL (#wikimedia-operations) [2019-04-09T22:19:06Z] <chaomodus> uploaded python-pynetbox to apt.wikimedia.org/stretch-wikimedia (T217072)

crusnov moved this task from In Progress to Pending on the User-crusnov board.Apr 23 2019, 10:21 PM

Change 493138 merged by CRusnov:
[operations/software/spicerack@master] Netbox module for Spicerack

https://gerrit.wikimedia.org/r/493138

crusnov moved this task from Pending to Complete on the User-crusnov board.Jun 17 2019, 11:13 PM

Test results of the module on cumin2001:

  • fetch_host() doesn't raise if no host is found and returns None, should probably raise
  • dry_run is not respected if using fetch_host() as the user can modify the object and call host.save(). I'm not sure what's the easy solution there.

At least the first one i

Test results of the module on cumin2001:

  • fetch_host() doesn't raise if no host is found and returns None, should probably raise

That's easy enough.

  • dry_run is not respected if using fetch_host() as the user can modify the object and call host.save(). I'm not sure what's the easy solution there.

We courld make a proxy of the host object that makes save() be a no-op.

crusnov updated the task description. (Show Details)Aug 14 2019, 4:47 PM

Change 531331 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/spicerack@master] netbox: Make host private and add exception on not found

https://gerrit.wikimedia.org/r/531331

Change 531331 merged by jenkins-bot:
[operations/software/spicerack@master] netbox: Make host private and add exception on not found

https://gerrit.wikimedia.org/r/531331